export default {
	data() {
		return {
			method: 'GET',
			url: '',
			info: {}
		};
	},
	onUnload() {
		this.info = {}
	},
	methods: {
		getData() {
			return {};
		},
		dataLoaded() {},
		loadData() {
			let {
				method,
				url
			} = this;
			let data = this.getData();

			this[method.toLowerCase()]({
				url,
				data,
				success: ({
					result
				}) => {
					this.info = result;
					// console.log(result)
					this.dataLoaded();
				}
			})
		}
	}
};
