import AlmostLottery from '@/uni_modules/almost-lottery/components/almost-lottery/almost-lottery.vue';

export default {
	data() {
		return {
			loading: true,
			// 以下是转盘配置相关数据
			lotteryConfig: {
				// 抽奖转盘的整体尺寸，单位rpx
				lotterySize: 700,
				// 抽奖按钮的尺寸，单位rpx
				action: {
					width: 188,
					height: 228,
					top: 228 - 188,
					padding: 85
				},
				imgCircled: false,
			},
			// 转盘外环图，如有需要，请参考替换为自己的设计稿
			lotteryBg: require('@/static/turn/zp.png'),
			// // 抽奖按钮图
			actionBg: require('@/static/turn/point.png'),
			// 以下是奖品配置数据
			// 奖品数据
			prizeList: [
			
			],
			// 中奖下标
			prizeIndex: -1,
			// 是否正在抽奖中，避免重复触发
			prizeing: false,

		}
	},
	components: {
		AlmostLottery
	},
	methods:{
		remoteGetPrizeIndex(prizeId) {
			let list = [...this.prizeList]
			// 拿到后端返回的 prizeId 后，开始循环比对得出那个中奖的数据
			for (let i = 0; i < list.length; i++) {
				let item = list[i]
				if (item.prizeId === prizeId) {
					this.prizeIndex = i
					break
				}
			}
			console.log('本次抽中奖品 =>', this.prizeList[this.prizeIndex].prizeName)
			// 如果奖品设有库存
		},
		// 抽奖转盘绘制完成
		handleDrawFinish(res) {
			console.log('抽奖转盘绘制完成', res)
		}
	}
}
